# HG changeset patch
# Node ID 15ac8827f142
# Parent  a5047abeede9
diff --git a/talkatu/data/editor.ui b/talkatu/data/editor.ui
--- a/talkatu/data/editor.ui
+++ b/talkatu/data/editor.ui
@@ -1,8 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!-- Generated with glade 3.22.1
-
+<!--
 Talkatu - GTK widgets for chat applications
-Copyright (C) 2017-2020 Gary Kramlich <grim@reaperworld.com>
+Copyright (C) 2017-2022 Gary Kramlich <grim@reaperworld.com>
 
 This library is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
@@ -16,81 +15,49 @@
 
 You should have received a copy of the GNU General Public License
 along with this library; if not, see <https://www.gnu.org/licenses/>.
-
 -->
 <interface>
   <requires lib="Talkatu" version="0.0"/>
-  <requires lib="gtk+" version="3.20"/>
-  <object class="TalkatuTagTable" id="table"/>
-  <object class="TalkatuBuffer" id="buffer">
-    <property name="tag_table">table</property>
-  </object>
+  <requires lib="gtk" version="4.0"/>
   <!-- interface-license-type gplv2 -->
-  <!-- interface-name Talkatu -->
-  <!-- interface-description GTK widgets for chat applications -->
-  <!-- interface-copyright Gary Kramlich <grim@reaperworld.com> -->
+  <!-- interface-name Pidgin -->
+  <!-- interface-description Internet Messenger -->
+  <!-- interface-copyright Pidgin Developers <devel@pidgin.im> -->
+  <object class="TalkatuBuffer" id="buffer"/>
   <template class="TalkatuEditor" parent="GtkBox">
-    <property name="visible">True</property>
-    <property name="can_focus">False</property>
     <property name="orientation">vertical</property>
     <child>
-      <object class="TalkatuToolbar" id="toolbar">
-        <property name="visible">True</property>
-        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-      </object>
-      <packing>
-        <property name="expand">False</property>
-        <property name="fill">True</property>
-        <property name="position">0</property>
-      </packing>
+      <object class="TalkatuToolbar" id="toolbar"/>
     </child>
     <child>
       <object class="GtkBox">
-        <property name="visible">True</property>
-        <property name="can_focus">False</property>
+        <property name="vexpand">1</property>
         <property name="spacing">4</property>
         <child>
           <object class="GtkScrolledWindow">
-            <property name="visible">True</property>
-            <property name="can_focus">True</property>
+            <property name="hexpand">1</property>
+            <property name="focusable">1</property>
             <property name="hscrollbar_policy">never</property>
-            <property name="shadow_type">in</property>
             <child>
               <object class="TalkatuInput" id="input">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
+                <property name="can_focus">1</property>
                 <property name="wrap_mode">word</property>
                 <property name="buffer">buffer</property>
                 <signal name="notify::buffer" handler="talkatu_editor_view_buffer_changed_handler" object="TalkatuEditor" swapped="no"/>
               </object>
             </child>
           </object>
-          <packing>
-            <property name="expand">True</property>
-            <property name="fill">True</property>
-            <property name="position">0</property>
-          </packing>
         </child>
         <child>
           <object class="GtkButton" id="send_button">
+            <property name="visible">0</property>
             <property name="label" translatable="yes">Send</property>
-            <property name="can_focus">True</property>
-            <property name="receives_default">True</property>
+            <property name="focusable">1</property>
+            <property name="receives_default">1</property>
             <signal name="clicked" handler="talkatu_editor_send_button_clicked_cb" object="TalkatuEditor" swapped="no"/>
           </object>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">True</property>
-            <property name="position">1</property>
-          </packing>
         </child>
       </object>
-      <packing>
-        <property name="expand">True</property>
-        <property name="fill">True</property>
-        <property name="position">1</property>
-      </packing>
     </child>
   </template>
 </interface>
